#
# Makefile for the GNU LessTif library (lib/ directory)
#
# Copyright (C) 1995 Free Software Foundation, Inc.
#
# This file is part of the GNU LessTif Library.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free
# Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

SHELL=/bin/sh

@SET_MAKE@

prefix=@prefix@
exec_prefix=@exec_prefix@
subdirs=@test_subdirs@
buildMrm=@with_testMrm@
buildXm=@with_testXm@
version=@version_suffix@

all:
	@if [ "x${version}" = "x1.2" ]; then \
		version = "" ; \
	fi
	@if [ "x${buildXm}" != "xno" ]; then \
		echo Making all in Xm$${version} ; \
		(cd Xm$${version} && ${MAKE} all) || exit 1;\
	fi
	@if [ "x${buildMrm}" != "xno" ]; then \
		echo Making all in Mrm$${version} ; \
		(cd Mrm$${version} && ${MAKE} all) || exit 1;\
	fi

install:
	@echo "Nothing to install in tests"

depend:
	@if [ "x${version}" = "x1.2" ]; then \
		version = "" ; \
	fi
	@if [ "x${buildXm}" != "xno" ]; then \
		echo Depending in Xm$${version} ; \
		(cd Xm$${version} && ${MAKE} depend) || exit 1;\
	fi
	@if [ "x${buildMrm}" != "xno" ]; then \
		echo Depending in Mrm$${version} ; \
		(cd Mrm$${version} && ${MAKE} depend) || exit 1;\
	fi

clean:
	@if [ "x${version}" = "x1.2" ]; then \
		version = "" ; \
	fi
	echo Cleaning in Xm$${version} ; \
	(cd Xm$${version} && ${MAKE} clean) || exit 1;\
	echo Cleaning in Mrm$${version} ; \
	(cd Mrm$${version} && ${MAKE} clean) || exit 1;\

distclean:
	@if [ "x${version}" = "x1.2" ]; then \
		version = "" ; \
	fi
	echo Distcleaning in Xm$${version} ; \
	(cd Xm$${version} && ${MAKE} distclean) || exit 1;\
	echo Distcleaning in Mrm$${version} ; \
	(cd Mrm$${version} && ${MAKE} distclean) || exit 1;\
